import router from '@/router/index'
import { AxiosRequestConfig } from 'axios'
import axios from 'axios'

export const axiosConfig: AxiosRequestConfig = {
  withCredentials: true,
  baseURL: process.env.NODE_ENV === 'development' ? 'http://192.168.0.14:3000/api' : 'https://kotlin.mephi.ru/api',
}

const $api = axios.create(axiosConfig)

$api.interceptors.request.use(config => {
  config.headers.Authorization = `Bearer ${localStorage.getItem('token')}`
  return config
})

$api.interceptors.response.use(config => config, async error => {
  const originalRequest = error.config
  if (error.response.status === 401 && !error.config._isRetry && error.config) {
    originalRequest._isRetry = true
    try {
      const response = await axios.get('/refresh', axiosConfig)
      localStorage.setItem('token', response.data.accessToken)
      return $api.request(originalRequest)
    } catch (err) {
      if (router.currentRoute.value.path !== '/') await router.replace('/auth')
      console.error('Пользователь не авторизован', err)
    }
  }
  throw error
})

export default $api
