import {createRouter, createWebHistory, RouteRecordRaw} from 'vue-router'
import Main from '@/views/Main.vue'
import Auth from '@/views/Auth.vue'
import Profile from '@/views/Profile/Profile.vue'
import Cabinet from '@/views/Profile/views/Cabinet.vue'
import Questionnaire from '@/views/Profile/views/Questionnaire.vue'
import Internship from '@/views/Internship.vue'

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    name: 'Main',
    component: Main,
  },
  {
    path: '/auth',
    name: 'Auth',
    component: Auth,
  },
  {
    path: '/profile',
    name: 'Profile',
    component: Profile,
    children: [
      {
        path: '',
        name: 'Cabinet',
        component: Cabinet,
      },
      {
        path: 'questionnaire',
        name: 'Questionnaire',
        component: Questionnaire,
      },
    ],
  },
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
})

export default router
