import $api from '../http/index'

export interface ILoginData {
  email: string,
  password: string
}

export interface IRegistrationData extends ILoginData {
  name: string,
  surname: string,
  tel: string,
  telegram: string,
  policy: boolean
}

export interface IUser {
  email: string,
  name: string,
  surname: string,
  tel: string,
  telegram: string,
  id: number,
  isActivated: boolean,
  isPassQuestionnaire: boolean,
  status: number,
  avatar?: string
}

export interface IUserData {
  user: IUser,
  accessToken: string
}

export default class AuthService {
  static async login(authData: ILoginData) {
    return $api.post<IUserData>('/login', authData)
  }

  static async registration(authData: IRegistrationData) {
    return $api.post<IUserData>('/registration', authData)
  }

  static async logout() {
    return $api.post<{ status: 'OK' }>('/logout')
  }
}
