import $api from '../http/index'


export default class AvatarService {
  static async getAvatar(name: string): Promise<string> {
    try {
      const response = await $api.get<Blob>(`/avatars/${name}`, {responseType: 'blob'})
      // console.log('[getAvatar] ', response)
      const avatar = URL.createObjectURL(new Blob([response.data], {type: response.headers['content-type']}))
      return avatar
    } catch (e) {
      return null as any
    }
  }

  static async getAvatarAdmin(name: string): Promise<string> {
    try {
      const response = await $api.get<Blob>(`/avatars/admin/${name}`, {responseType: 'blob'})
      // console.log('[getAvatarAdmin] ', response)
      const avatar = URL.createObjectURL(new Blob([response.data], {type: response.headers['content-type']}))
      return avatar
    } catch (e) {
      return null as any
    }
  }

  static async setAvatar(img: FormData): Promise<{ name: string }> {
    try {
      const response = await $api.post<{ name: string }>('/avatar', img, {
        headers: {'Content-Type': 'multipart/form-data'},
      })
      // console.log('[setAvatar] ', response)
      return response.data
    } catch (e) {
      console.log('[err] in setAvatar:', e)
      return null as any
    }
  }
}
