import $api from '../http/index'

export interface IAnswer {
  answer: string,
  question: string
}

export interface ICourse {
  faculty: string,
  group: string
}

export type IAnswers = { answers: IAnswers[] } & ICourse

export default class QuestionnaireService {
  // static async getQuestions() {
  //     try {
  //         const response = await $api.get('/questionnaire')
  //         return response.data
  //     } catch (e) {
  //         const message = e.response?.data?.message
  //         console.log('[err] in getQuestions, message: ', message)
  //         return message
  //     }
  // }

  static async uploadAnswers(answers: [string[], ICourse]): Promise<{ status: 'OK' }> {
    try {
      const response = await $api.post<{ status: 'OK' }>('/questionnaire', answers)
      return response.data
    } catch (e) {
      const message = e.response?.data?.message
      // console.log('[err] in uploadQuestions, message: ', message)
      return message
    }
  }

  static async getAnswers(id: number): Promise<IAnswers> {
    try {
      const response = await $api.get<IAnswers>(`/questionnaire/answers/${id}`)
      return response.data
    } catch (e) {
      const message = e.response?.data?.message
      // console.log('[err] in getAnswers, message: ', message)
      return message
    }
  }

  static async getSelf(): Promise<IAnswers> {
    try {
      const response = await $api.get<IAnswers>(`/questionnaire/self`)
      return response.data
    } catch (e) {
      const message = e.response?.data?.message
      // console.log('[err] in getAnswersSelf, message: ', message)
      return message
    }
  }
}
