import $api from '../http/index'

export type ISchedule = {
  type?: 'Лекция' | 'Семинар',
  time?: string
}[]

export default class scheduleService {
  static async getSchedule(): Promise<ISchedule> {
    try {
      const response = await $api.get<ISchedule>(`/schedule`)
      // console.log('[getSchedule] ', response)
      return response.data
    } catch (e) {
      return null as any
    }
  }

  static async uploadSchedule(schedule: ISchedule): Promise<{ status: 'OK' }> {
    try {
      const response = await $api.post<{ status: 'OK' }>(`/schedule`, {schedule})
      // console.log('[uploadSchedule] ', response)
      return response.data
    } catch (e) {
      return null as any
    }
  }
}
