import {reactive, ref} from 'vue'
import questionnaireService, {IAnswers} from '@/services/questionnaireService'

export function useAnswers() {
  const answers = reactive<{ value: IAnswers[] }>({value: []})
  const fac = ref<string>(''), group = ref<string>('')
  const loadedAnswers = ref(false)

  const showAnswers = async (id: number) => {
    const data = await questionnaireService.getAnswers(id)
    answers.value = data.answers
    fac.value = data.faculty
    group.value = data.group
    window.history.pushState(window.history.state, '')
    window.addEventListener('popstate', () => {loadedAnswers.value = false}, {once: true})
    loadedAnswers.value = true
  }

  return {
    answers,
    fac,
    group,
    loadedAnswers,
    showAnswers,
  }
}
