import {ref} from 'vue'
import AvatarService from '@/services/avatarService'
import {IUser} from '@/services/authService'

export function useAvatarAdminPopup() {
  const showAvatarAdminPopup = ref(false)
  const avatar = ref<string>()

  async function showAvatar(user: IUser) {
    avatar.value = require('@/assets/avatar.svg')
    if (user.avatar) {
      const data = await AvatarService.getAvatarAdmin(`${user.id}_${user.avatar}.png`)
      if (data) avatar.value = data
    }
    showAvatarAdminPopup.value = true
  }

  return {
    showAvatarAdminPopup,
    avatar,
    showAvatar,
  }
}
