export function useDate(date: string, withTime = true) {

  const dateObj = new Date(Number(date))

  const minutes = dateObj.getMinutes()
  const hours = dateObj.getHours()
  const day = dateObj.getDate()
  const month = dateObj.getMonth() + 1
  const year = dateObj.getFullYear()

  const addZero = (num: number) => num > 9 ? num : '0' + num

  let formattedDate = `${addZero(day)}.${addZero(month)}.${year}`
  if (withTime) formattedDate += `; ${addZero(hours)}:${addZero(minutes)}`

  return {
    date: formattedDate,
  }
}
