import ProgressService, {IAllProgress, ISelfProgress} from '@/services/progressService'
import {ref} from 'vue'

export function useAdminProgress() {
  const columns = ref<string[]>([])
  ProgressService.getWorks().then(val => columns.value = val)

  const progress = ref<IAllProgress>({})
  ProgressService.get().then(val => progress.value = val)

  const changeWork = async (userId: number, workId: number, val: boolean) => await ProgressService.set(userId, workId, val)

  const getDescription = async (userId: number, workId: number) => (await ProgressService.getDescription(userId, workId)) ?? ''

  const setDescription = async (userId: number, workId: number, val: string) => await ProgressService.setDescription(userId, workId, val)

  return {
    columns,
    progress,
    changeWork,
    getDescription,
    setDescription,
  }
}

export function useStudentProgress() {
  const works = ref<string[]>([])
  ProgressService.getWorks().then(val => works.value = val)

  const progress = ref<ISelfProgress>([])
  ProgressService.getSelf().then(val => progress.value = val)

  const selectRefs = (text: string) => text.replace(RegExp('[a-zA-z]+://[^\\s]*'), (str) => `<a class="s-progress-p__url" href="${str}">${str}</a>`)

  return {
    works,
    progress,
    selectRefs,
  }
}
