import QuestionnaireService, {IAnswer} from '@/services/questionnaireService'
import {ref} from 'vue'
import router from '@/router/index.ts'
import {IStore} from '@/use/store'

export function useQuestionnaire(store: IStore) {
  const loaded = ref(false)
  const questions = ref<string[]>([])
  const answers = ref<string[]>([])
  const fac = ref<string>(''), group = ref<string>('')

  QuestionnaireService.getSelf().then((data) => {
    for (const [idx, el] of Object.entries(data.answers) as unknown as [number, IAnswer][]) {
      questions.value[idx] = el.question
      answers.value[idx] = el.answer ?? ''
    }
    fac.value = data.faculty
    group.value = data.group
    loaded.value = true
  })

  // async function getQuestions() {
  //     questions.value = await QuestionnaireService.getQuestions()
  //     answers.length = questions.value.length
  // }
  //
  // noinspection JSIgnoredPromiseFromCall
  // getQuestions()


  async function submit() {
    await QuestionnaireService.uploadAnswers([Array.from(answers.value), {faculty: fac.value, group: group.value}])
    if (store.user.value.status < 101) store.user.value.status = 101
    window.scrollTo({top: 0, behavior: 'smooth'})
    await router.push('/profile')
  }

  return {
    loaded,
    questions,
    answers,
    numbering: (idx: number, question: string) => `${++idx}. ${question}`,
    submit,
    fac,
    group,
  }
}
