import {Ref, watch} from 'vue'

export function useRefStateSaving(key: string, ref: Ref<string | undefined>, defaultValue?: string) {
  watch(ref, newValue => window.localStorage.setItem(key, newValue!))
  ref.value = window.localStorage.getItem(key) ?? defaultValue ?? ref.value
}
