import {ref, watch} from 'vue'
import scheduleService, {ISchedule} from '@/services/scheduleService'

export function useSchedule() {
  const redact = ref(false)

  const week = ['ПН', 'ВТ', 'СР', 'ЧТ', 'ПТ', 'СБ', 'ВС']

  const buildDay = (type?: ISchedule[0]['type'], time?: ISchedule[0]['time']) => {
    return {
      type: type,
      time: time,
    }
  }

  const buildSchedule = () => {
    const s: ISchedule = []
    for (let i = 0; i < 7; i++) s.push(buildDay())
    return s
  }

  const schedule = ref(buildSchedule())

  scheduleService.getSchedule().then((val) => {
    if (val) {
      schedule.value = val
      watch(redact, async (newValue) => {
        if (!newValue) {
          for (const dayKey of Object.keys(schedule.value)) {// noinspection LoopStatementThatDoesntLoopJS
            for (const key of Object.keys(schedule.value[Number(dayKey)]) as (keyof ISchedule[0])[]) {
              if (!schedule.value[Number(dayKey)][key]) schedule.value[Number(dayKey)] = buildDay()
              break
            }
          }
          await scheduleService.uploadSchedule(schedule.value)
        }
      })
    }
  })

  return {
    week,
    schedule,
    redact,
  }
}
