import {ref} from "vue";
import UserService from "@/services/userService";
import {IStore} from '@/use/store'

export function useTelegramChange(store: IStore) {
    const showTelegramChangePopup = ref(false)

    const telegramChangeField = ref('')

    const telegramChangeSubmit = async function() {
        await UserService.changeTelegram(telegramChangeField.value)
        store.user.value.telegram = telegramChangeField.value
        showTelegramChangePopup.value = false
    }

    return {
        showTelegramChangePopup,
        telegramChangeField,
        telegramChangeSubmit
    }
}
