import questionnaireService from '../service/questionnaire-service'
import ApiError from '../exceptions/api-error'
import {IRequest, Response} from 'express'
import {ICourse} from '../service/questionnaire-service'

class QuestionnaireController {
  // async getQuestionnaire(req, res, next) {
  //     try {
  //         return res.json(await questionnaireService.getQuestionnaire())
  //     } catch (e) {next(e)}
  // }

  async uploadQuestionnaire(req: IRequest<[string[], ICourse]>, res: Response, next) {
    try {
      const {body: [answers, course], user} = req
      if (!user.isActivated) return next(ApiError.Forbidden())
      if (user.status >= 200) return next(ApiError.Forbidden('Зачисленные студенты не могут редактировать анкету'))
      await questionnaireService.uploadAnswers(answers, course, user.id)
      res.status(200).json({status: 'OK'})
    } catch (e) {next(e)}
  }

  async getAnswers(req: IRequest<{}, { id: number }>, res: Response, next) {
    try {
      const {id} = req.params
      return res.json(await questionnaireService.getAnswers(id))
    } catch (e) {next(e)}
  }

  async getAnswersSelf(req: IRequest, res: Response, next) {
    try {
      const {id} = req.user
      return res.json(await questionnaireService.getAnswers(id))
    } catch (e) {next(e)}
  }
}

export = new QuestionnaireController()
