import {IRequest, Response} from 'express'
import {ISchedule} from '../service/schedule-service'

import scheduleService from '../service/schedule-service'

class ScheduleController {
  async getSchedule(req, res: Response, next) {
    try {
      return res.json(await scheduleService.getSchedule())
    } catch (e) {next(e)}
  }

  async setSchedule(req: IRequest<{ schedule: ISchedule }>, res: Response, next) {
    try {
      const {schedule} = req.body
      return res.json(await scheduleService.setSchedule(schedule))
    } catch (e) {next(e)}
  }
}

export = new ScheduleController()
