import varService from '../service/var-service'
import {IRequest, Response} from 'express'

class VarController {
  async getVar(req: IRequest<{}, {}, { key: string }>, res: Response, next) {
    try {
      const {key} = req.query
      return res.json(await varService.getVar(key))
    } catch (e) {next(e)}
  }

  async setVar(req: IRequest<{ key: string, val: boolean }>, res: Response, next) {
    try {
      const {key, val} = req.body
      await varService.setVar(key, val)
      return res.json({status: 'OK'})
    } catch (e) {next(e)}
  }
}

export = new VarController();
