import ApiError from '../exceptions/api-error'
import tokenService from '../service/token-service'
import {IRequest} from 'express'
import {IUserDto} from '../dtos/user-dto'

export = function (req: IRequest, res, next) {
  try {
    const authorizationHeader = req.headers.authorization
    if (!authorizationHeader) return next(ApiError.Unauthorized())
    const accessToken = authorizationHeader.split(' ')[1]
    if (!accessToken) return next(ApiError.Unauthorized())
    const userData = tokenService.validateAccessToken<IUserDto>(accessToken)
    if (!userData) return next(ApiError.Unauthorized())

    req.user = userData
    next()
  } catch (e) {return next(ApiError.Unauthorized())}
}
