import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import CandidateMiddleware from '../../middlewares/candidate-middleware'
import AvatarMiddleware from '../../middlewares/avatar-auth-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import userController from '../../controllers/user-controller'

router.post('/avatar', AuthMiddleware, CandidateMiddleware, userController.setAvatar)
router.get('/avatars/:name', AuthMiddleware, CandidateMiddleware, AvatarMiddleware)
router.get('/avatars/admin/:name', AuthMiddleware, AdminMiddleware)
