import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import StudentMiddleware from '../../middlewares/student-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import progressController from '../../controllers/progress-controller'

router.get('/progress/works', AuthMiddleware, StudentMiddleware, progressController.getWorks)
router.get('/progress/self', AuthMiddleware, StudentMiddleware, progressController.getSelfProgress)
router.get('/progress', AuthMiddleware, AdminMiddleware, progressController.getProgress)
router.post('/progress', AuthMiddleware, AdminMiddleware, progressController.changeProgress)
router.get('/progress/description', AuthMiddleware, AdminMiddleware, progressController.getDescription)
router.post('/progress/description', AuthMiddleware, AdminMiddleware, progressController.setDescription)
