import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import StudentMiddleware from '../../middlewares/student-middleware'
import reportController from '../../controllers/report-controller'

// router.get('/reports/admin', authMiddleware, adminMiddleware, reportController.getReport)

// router.post('/reports/progress',  authMiddleware, adminMiddleware, reportController.changeReportProgress)

router.get('/reports/progress', AuthMiddleware, AdminMiddleware, reportController.getReportProgress)
router.get('/reports/project', AuthMiddleware, AdminMiddleware, reportController.getProject)
router.get('/reports/self', AuthMiddleware, StudentMiddleware, reportController.getReportTasksSelf)
router.get('/reports', AuthMiddleware, StudentMiddleware, reportController.getReportTasks)
router.post('/reports', AuthMiddleware, StudentMiddleware, reportController.uploadReport)
router.post('/reports/enrolment', AuthMiddleware, StudentMiddleware, reportController.enrolment)
router.post('/reports/admin', AuthMiddleware, AdminMiddleware, reportController.setReport)
router.post('/reports/delete', AuthMiddleware, AdminMiddleware, reportController.delete)
