import {router} from '../index'
import {body} from 'express-validator'
import AllowRegMiddleware from '../../middlewares/allowreg-middleware'
import AuthMiddleware from '../../middlewares/auth-middleware'
import CandidateMiddleware from '../../middlewares/candidate-middleware'
import userController from '../../controllers/user-controller'

router.post('/registration',
  AllowRegMiddleware,
  body('email').isEmail(),
  body('password').isLength({min: 8, max: 32}),
  userController.registration)
router.post('/login', userController.login)
router.post('/logout', userController.logout)
router.get('/activate/:link', userController.activate)
router.get('/refresh', userController.refresh)

router.post('/telegram', AuthMiddleware, CandidateMiddleware, userController.changeTelegram)

