import mysql from 'mysql2/promise'

export interface ICourse {
  faculty: string,
  group: string
}

class QuestionnaireService {
  // async getQuestionnaire() {
  //     const [questionnaire] = await mysql.db.query('SELECT * FROM questionnaire;')
  //     const qArr = []
  //     for (const val of questionnaire) qArr.push(val.question)
  //     return qArr
  // }

  async uploadAnswers(answers: string[], course: ICourse, userId: number) {
    for (const [idx, answer] of Object.entries(answers)) {
      await mysql.db.query('REPLACE INTO `questionnaireAnswers` (`userId`, `questionId`, `answer`) VALUES (?, ?, ?);', [userId, Number(idx) + 1, answer])
    }

    await mysql.db.query('REPLACE INTO `mephiCourse` (`userId`, `faculty`, `group`) VALUES (?, ?, ?);', [userId, course.faculty, course.group])

    await mysql.db.query('UPDATE `users` SET `status` = 101 WHERE (`id` = ? AND `status` < 101)', [userId])
  }

  async getAnswers(id: number) {
    const [answers] = await mysql.db.query<{ question: string, answer: string }, '!'>(
      `select q.question, a.answer
       from questionnaireAnswers a
                right outer join questionnaire q
                                 on q.id = a.questionId and a.userId = ?`, [id],
    )
    const [[faculty]] = await mysql.db.query<ICourse>('SELECT `faculty`, `group` FROM `mephiCourse` WHERE userId = ?', [id])
    return {answers, ...faculty}
  }

  async getAnswersCount(id: number) {
    const [[count]] = await mysql.db.query<{ [key: string]: number }, '!'>('SELECT COUNT(*) FROM `questionnaireAnswers` WHERE `userId` = ?', [id])
    return Object.values(count)[0]
  }
}

export default new QuestionnaireService()
