import mysql from 'mysql2/promise'

export type ISchedule = {
  type?: 'Лекция' | 'Семинар',
  time?: string
}[]

class scheduleService {
  async getSchedule() {
    const [schedule] = await mysql.db.query<ISchedule, '!'>('SELECT `type`, `time` FROM `schedule`')
    return schedule
  }

  async setSchedule(schedule: ISchedule) {
    for (const [idx, day] of Object.entries(schedule)) await mysql.db.query('REPLACE INTO `schedule` VALUES(?, ?, ?)', [idx, day.type, day.time])
    return {status: 'OK'}
  }
}

export default new scheduleService()
